[U-Boot] [PATCH] kconfig: show an error message when defconfig is not found
Masahiro Yamada
yamada.m at jp.panasonic.com
Wed Sep 3 22:48:20 CEST 2014
When a non-existing defconfig is specified,
display an easy-to-understand message
(fake the error message on Linux Kernel):
$ make foo_defconfig
***
*** Can't find default configuration "confis/foo_defconfig"!
***
Signed-off-by: Masahiro Yamada <yamada.m at jp.panasonic.com>
---
scripts/multiconfig.sh | 7 +++++++
1 file changed, 7 insertions(+)
diff --git a/scripts/multiconfig.sh b/scripts/multiconfig.sh
index a579042..af8dbe1 100644
--- a/scripts/multiconfig.sh
+++ b/scripts/multiconfig.sh
@@ -118,6 +118,13 @@ do_board_defconfig () {
defconfig_path=$srctree/configs/$1
tmp_defconfig_path=configs/.tmp_defconfig
+ if [ ! -r $defconfig_path ]; then
+ echo "***"
+ echo "*** Can't find default configuration \"confis/$1\"!"
+ echo "***"
+ exit 1
+ fi
+
mkdir -p arch configs
# defconfig for Normal:
# pick lines without prefixes and lines starting '+' prefix
--
1.9.1
More information about the U-Boot
mailing list